Close creditor profile notice response
curl --request POST \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Creditor Profile Not Match"
}
'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/close"
payload = { "label": "Creditor Profile Not Match" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Creditor Profile Not Match'})
};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Notice response closed successfully.",
"data": {
"id": 456,
"consumer_id": 123,
"response_date": "2026-01-01T12:00:00.000000Z",
"response_date_label": "Jan 01, 2026",
"consumer_name": "Donna Weaver",
"sender": {
"id": 22,
"sender_detail_id": 99,
"type": "creditor_profile",
"name": "Current Profile"
},
"account_number": "PROFILE-100",
"notice_balance": "150.75",
"notice_balance_label": "$150.75",
"response_type": {
"value": 6,
"label": "Declined/Closed Negotiation"
},
"creditor_member_status": {
"value": "yn_prospect",
"label": "YN Prospect"
},
"creditor_response_status": {
"value": "closed_by_yn",
"label": "Closed By YN"
},
"reason_label": "Creditor Profile Not Match",
"notice": {
"has_notice_photo": false,
"file_url": null
},
"actions": {
"can_change_creditor_profile": false,
"can_close": false,
"can_view_notice": true
}
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Close creditor profile notice response
Close a notice response scoped to the creditor profile by YouNegotiate and save the submitted reason.
POST
/
manage-creditor-profiles
/
{creditorProfile}
/
notice-responses
/
{noticeResponse}
/
close
Close creditor profile notice response
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Creditor profile ID from the manage creditors list.
Notice response ID from the creditor profile notice responses table.
Body
application/json
Required string length:
4 - 100Example:
"Creditor Profile Not Match"
Last modified on July 19, 2026
Was this page helpful?
⌘I

